Bug 7235 - Adding invoice number and vendor name to the moredetail page
Summary: Adding invoice number and vendor name to the moredetail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Srdjan Jankovic
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-16 01:56 UTC by Srdjan Jankovic
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (2.48 KB, patch)
2011-11-16 02:10 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Fixed small conflict error (957 bytes, patch)
2011-12-12 00:32 UTC, Duncan
Details | Diff | Splinter Review
Picture of bad table formatting. (79.05 KB, image/png)
2011-12-12 00:36 UTC, Duncan
Details
patch (2.76 KB, patch)
2011-12-20 05:45 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7235: Adding invoice number and vendor name to the moredetail page (2.83 KB, patch)
2012-02-20 06:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7235: Add order date and checks for permissions (8.93 KB, patch)
2012-02-20 06:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7235: Add order date and checks for permissions (8.95 KB, patch)
2012-02-22 05:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7235: Add order date and checks for permissions (10.54 KB, patch)
2012-02-22 05:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7235: Add order date and checks for permissions (10.54 KB, patch)
2012-03-19 11:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7235: Add order date and checks for permissions (10.66 KB, patch)
2012-03-19 13:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7235: Add order date and checks for permissions (10.74 KB, patch)
2012-03-19 14:56 UTC, Marijana Glavica
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2011-11-16 01:56:23 UTC

    
Comment 1 Srdjan Jankovic 2011-11-16 02:10:45 UTC Comment hidden (obsolete)
Comment 2 Duncan 2011-12-12 00:32:34 UTC Comment hidden (obsolete)
Comment 3 Duncan 2011-12-12 00:36:05 UTC
Created attachment 6711 [details]
Picture of bad table formatting.
Comment 4 Srdjan Jankovic 2011-12-20 05:45:32 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2011-12-29 18:56:29 UTC
Should vendor and invoice number be linked to details in Acquisitions? Assuming the logged-in user has permissions of course?
Comment 6 Katrin Fischer 2012-02-20 06:16:23 UTC
Created attachment 7766 [details] [review]
[SIGNED-OFF] Bug 7235: Adding invoice number and vendor name to the moredetail page

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 7 Katrin Fischer 2012-02-20 06:21:41 UTC
>Should vendor and invoice number be linked to details in Acquisitions? 
>Assuming the logged-in user has permissions of course?

I was thinking about Owen's comment and wrote a follow-up which includes the links when a user has the right permissions. 

I also noticed a problem with the current way we link to the invoice: When you create items on order, accession date will show a link to the receive page, before the items have been received. There is no invoicenumber in the link and when you go to the page, you can receive skipping the step of entering an invoice number. This will cause problems later. I changed it so the link is only displayed when the item has been received.
Comment 8 Katrin Fischer 2012-02-20 06:21:57 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2012-02-22 05:38:59 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2012-02-22 05:39:56 UTC
I missed something in my follow up. New patch with updated test plan attached.
Comment 11 Katrin Fischer 2012-02-22 05:43:46 UTC Comment hidden (obsolete)
Comment 12 Julian Maurice 2012-03-02 14:03:19 UTC
The second patch doesn't apply anymore:

Applying: Bug 7235: Adding invoice number and vendor name to the moredetail page
Bug 7235: Add order date and checks for permissions
Apply? [yn] y

Applying: Bug 7235: Add order date and checks for permissions
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/moredetail.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 7235: Add order date and checks for permissions
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/Bug-7235-Add-order-date-and-checks-for-permissions-JZZp_S.patch
Comment 13 Katrin Fischer 2012-03-02 14:05:38 UTC
Julian, 
I am not sure it will change anything, but can you try after git-bz:
git am --abort
git am -iu3 /tmp/Bug... (the path it shows you)

Sometimes it will work then.
Comment 14 Julian Maurice 2012-03-02 15:09:52 UTC
Tested what you say, but still the same problem.
It seems that `git bz apply` does make a git am -iu3:

/usr/local/bin/git-bz (line 1498):
    process = git.am(filename, **{'_interactive':True, '3':True})

If sometimes this trick works for you, maybe you don't have the last version of git-bz (http://wiki.koha-community.org/wiki/Git_bz_configuration#testing_with_-3_flag_set)
Comment 15 Katrin Fischer 2012-03-02 15:33:28 UTC
True, I was still referring to the old version of git-bz - the change Paul made is still quite recent and I was waiting for it to be in the repository where I cloned from. (slef's I think).
Comment 16 Katrin Fischer 2012-03-19 11:33:41 UTC Comment hidden (obsolete)
Comment 17 Nicole C. Engard 2012-03-19 13:10:38 UTC Comment hidden (obsolete)
Comment 18 Marijana Glavica 2012-03-19 14:56:36 UTC
Created attachment 8290 [details] [review]
[SIGNED-OFF] Bug 7235: Add order date and checks for permissions

- Adds order date above vendor
- Reordered fields to reflect history of the item
- Order information (order date, vendor) is only shown, when an order exists
- Accession date is only linked, when item was received in acquisition
- Links to basket and invoice are only shown when user has the correct permission
  - order date: manage_order
  - accession date: receive_shipment for invoice
- Changes all dates to use the KohaDates TT plugin
- Corrects display of rental price, removing additional zeros

To test:
1) Create a record with
- 1 item created in cataloguing
- 1 item ordered
- 1 item ordered and received
- 1 item checked out
2) Verify the correct information is shown for each
3) Verify links on the dates work correctly
4) Toggle permissions for the user

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Followed the test plan and all tests pass.

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>

changed supplierid to booksellerid
Comment 19 Ian Walls 2012-03-19 16:34:02 UTC
Both patches clean, easy to read, primarily template changes (along with removal of format_dates where appropriate).  Marking as Passed QA.
Comment 20 Paul Poulain 2012-03-20 15:44:05 UTC
patch pushed, with a small follow-up to have uppercases consistent : some were correct (only 1st word uc-ed), some were still not (all words uc-ed)